Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78005 - gcc reports an internal error: "Erreur pour rapporter une routine re-entree"
Summary: gcc reports an internal error: "Erreur pour rapporter une routine re-entree"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc3
Version: 8.0
Hardware: athlon
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-17 11:01 UTC by Pierre Thorel
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-02 20:42:12 UTC


Attachments (Terms of Use)
The project from which comes the error (deleted)
2002-11-17 11:03 UTC, Pierre Thorel
no flags Details
The shllib project which contains the ShlString class in shllib/shllib/string.hpp (deleted)
2002-11-17 11:09 UTC, Pierre Thorel
no flags Details

Description Pierre Thorel 2002-11-17 11:01:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
*********************************************
The command line and the gcc report is:
g++ `gtk-config --cflags` -D_REENTRANT -DLINUX -DCONF_FILES_DIR="\"/etc/khlub\""
-g -DBIN_FILES_DIR="\"/usr/sbin\"" -c script.cpp
script.cpp: Dans function + int script(int, char**) ;:
script.cpp:52: no match pour l'opirateur +
erreur interne de compilateur: erreur pour rapporter une routine ri-entie
SVP soumettre un rapport complet d'anomalies,
avec le source pri-traiti si cela est approprii.
Consulter <URL:http://bugzilla.redhat.com/bugzilla/> pour les instructions.
make: *** [script.o] Erreur 1



*********************************************
Source line:   l += argv[3] + ShlString(" ") + argv[4] + ShlString(" ") + 
argv[5] + ShlString(" ") + argv[6] + ShlString(" \n");
(l is an ShlString, + concatenate two ShlStrings or an ShlString whith a (char*)
string).
ShlString is a component of Shllib which is attached

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Running "make"
	

Additional info:

Comment 1 Pierre Thorel 2002-11-17 11:03:54 UTC
Created attachment 85345 [details]
The project from which comes the error

Comment 2 Pierre Thorel 2002-11-17 11:09:13 UTC
Created attachment 85346 [details]
The shllib project which contains the ShlString class in shllib/shllib/string.hpp

Comment 3 Jakub Jelinek 2002-11-20 09:33:47 UTC
Please preprocess script.cpp instead (ie. run the above g++ command line
with additional -save-temps option and attach here script.ii it creates).
Thanks.

Comment 4 Jakub Jelinek 2004-10-02 20:42:12 UTC
No response, closing.


Note You need to log in before you can comment on or make changes to this bug.